local T, C, L, _ = unpack(select(2, ...))

----------------------------------------------------------------------------------------
--	Kill all stuff on default UI that we don't need
----------------------------------------------------------------------------------------
local frame = CreateFrame("Frame")
frame:RegisterEvent("ADDON_LOADED")
frame:SetScript("OnEvent", function(self, event, addon)
	if addon == "Blizzard_AchievementUI" then
		hooksecurefunc("AchievementFrameCategories_DisplayButton", function(button) button.showTooltipFunc = nil end)
	end

	InterfaceOptionsFrameCategoriesButton10:SetScale(0.00001)
	InterfaceOptionsFrameCategoriesButton10:SetAlpha(0)
	if not InCombatLockdown() then
		CompactRaidFrameManager:Kill()
		CompactRaidFrameContainer:Kill()
	end
	ShowPartyFrame = T.Dummy
	HidePartyFrame = T.Dummy
	--BETA CompactUnitFrame_UpdateAll = T.Dummy -- Conflict with nameplates
	CompactUnitFrameProfiles_ApplyProfile = T.Dummy
	CompactRaidFrameManager_UpdateShown = T.Dummy
	CompactRaidFrameManager_UpdateOptionsFlowContainer = T.Dummy

	Advanced_UseUIScale:Kill()
	Advanced_UIScaleSlider:Kill()
	TutorialFrameAlertButton:Kill()
	HelpOpenTicketButtonTutorial:Kill()
	TalentMicroButtonAlert:Kill()
	CollectionsMicroButtonAlert:Kill()
	ReagentBankHelpBox:Kill()
	BagHelpBox:Kill()
	EJMicroButtonAlert:Kill()
	PremadeGroupsPvETutorialAlert:Kill()
	InterfaceOptionsDisplayPanelRotateMinimap:Kill()
	InterfaceOptionsActionBarsPanelCountdownCooldowns:Kill()

	SetCVarBitfield("closedInfoFrames", LE_FRAME_TUTORIAL_WORLD_MAP_FRAME, true)
	SetCVarBitfield("closedInfoFrames", LE_FRAME_TUTORIAL_PET_JOURNAL, true)
	SetCVarBitfield("closedInfoFrames", LE_FRAME_TUTORIAL_GARRISON_BUILDING, true)

	SetCVar("countdownForCooldowns", 0)

	SetCVar("chatStyle", "im")
	SetCVar("ShowClassColorInNameplate", 1)

	SetSortBagsRightToLeft(true)
	SetInsertItemsLeftToRight(false)
end)